<Addin
        id = "CodeMetrics"
        namespace = "MonoDevelop"
        name = "Code Metrics"
        author = "Mike Krüger"
        copyright = "X11"
        url = "http://www.monodevelop.com/"
        description = "Provides code metric support for monodevelop"
        category = "IDE extensions"
        version = "1.9.2">
	
	<Runtime>
		<Import assembly = "MonoDevelop.CodeMetrics.dll"/>
	</Runtime>

	<Dependencies>
		<Addin id="Core" version="1.9.2"/>
		<Addin id="Core.Gui" version="1.9.2"/>
		<Addin id="Ide" version="1.9.2"/>
	</Dependencies>
	
	<Extension path = "/MonoDevelop/Ide/Commands">
		<Command id = "MonoDevelop.CodeMetrics.Commands.ShowMetrics"
				defaultHandler = "MonoDevelop.CodeMetrics.ShowMetricsHandler"
				_label = "_Code Metrics" />
	</Extension>
	
	<Extension path = "/MonoDevelop/Ide/MainMenu/Project">
		<CommandItem id = "MonoDevelop.CodeMetrics.Commands.ShowMetrics" insertbefore="OptionsSeparator"/>
	</Extension>	
	
	<Extension path = "/MonoDevelop/Ide/Pads/ProjectPad">
		<NodeBuilder id = "CodeMetricsNodeExtension" class = "MonoDevelop.CodeMetrics.CodeMetricsNodeExtension"/>
	</Extension>
	
	<Extension path = "/MonoDevelop/Ide/ContextMenu/ProjectPad/Tools">
		<Condition id="ItemType" value="Solution|SolutionFolder|Project|ProjectFile|MonoDevelop.Ide.Gui.Pads.ProjectPad.ProjectFolder">
			<CommandItem id = "MonoDevelop.CodeMetrics.Commands.ShowMetrics" insertafter="FindInFilesSeparator" insertbefore="CombineOptionsSeparator"/>
		</Condition>
	</Extension>
</Addin>
